osl::eval::ml::AnagumaEmpty Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Attributes | List of all members
osl::eval::ml::AnagumaEmpty Class Reference

`#include <king8.h>`

Collaboration diagram for osl::eval::ml::AnagumaEmpty:
[legend]

## Public Types
enum | { DIM = 4 }

## Public Member Functions
template<osl::Player Defense>
MultiInt | evalOne (const NumEffectState &state)

## Static Public Member Functions
static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (const osl::state::NumEffectState &state)
static int | index (Square king, Square target)
template<osl::Player Defense>
static MultiInt | evalOne (const NumEffectState &state)

## Static Private Attributes
static CArray< MultiInt, 4 > | table

## Detailed Description

Definition at line 359 of file eval/ml/king8.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
DIM |

Definition at line 362 of file eval/ml/king8.h.

## Member Function Documentation

MultiInt osl::eval::ml::AnagumaEmpty::eval | ( | const osl::state::NumEffectState & | state) |  |
| static

Definition at line 1073 of file eval/ml/king8.cc.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

template<osl::Player Defense>

static MultiInt osl::eval::ml::AnagumaEmpty::evalOne | ( | const NumEffectState & | state) |  |
| static

template<osl::Player Defense>

MultiInt osl::eval::ml::AnagumaEmpty::evalOne | ( | const NumEffectState & | state) |  |

Definition at line 1043 of file eval/ml/king8.cc.

References osl::BLACK, result, osl::WHITE, osl::Square::x(), and osl::Square::y().

int osl::eval::ml::AnagumaEmpty::index | ( | Square | king,
|  | Square | target
| ) |  |
| static

Definition at line 1036 of file eval/ml/king8.cc.

References osl::Square::x(), and osl::Square::y().

void osl::eval::ml::AnagumaEmpty::setUp | ( | const Weights & | weights,
|  | int | stage
| ) |  |
| static

Definition at line 1027 of file eval/ml/king8.cc.

References osl::eval::ml::Weights::value().

## Member Data Documentation

osl::misc::CArray< MultiInt, 4 > osl::eval::ml::AnagumaEmpty::table
| staticprivate

Definition at line 369 of file eval/ml/king8.h.

The documentation for this class was generated from the following files:

- eval/ml/king8.h
- eval/ml/king8.cc